#ifndef __BOILERPLATE_PREFERENCES_VIEW_H__
#define __BOILERPLATE_PREFERENCES_VIEW_H__

#include "boilerplate-preferences-page.h"

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define BOILERPLATE_TYPE_PREFERENCES_VIEW (boilerplate_preferences_view_get_type ())

G_DECLARE_FINAL_TYPE (BoilerplatePreferencesView, boilerplate_preferences_view, BOILERPLATE, PREFERENCES_VIEW, GtkBin)

BoilerplatePreferencesView *
boilerplate_preferences_view_new (void);

void
boilerplate_preferences_view_add_page (BoilerplatePreferencesView *self,
                                       const gchar                *title,
                                       const gchar                *name);
void
boilerplate_preferences_view_add_page_with_child (BoilerplatePreferencesView *self,
                                                  const gchar                *title,
                                                  const gchar                *name,
                                                  GtkWidget                  *child);
void
boilerplate_preferences_view_add_child_to_page (BoilerplatePreferencesView *self,
                                                const gchar                *name,
                                                GtkWidget                  *child);

GtkWidget *
boilerplate_preferences_view_get_page_with_name (BoilerplatePreferencesView *self,
                                                 const gchar                *name);

G_END_DECLS

#endif /* __BOILERPLATE_PREFERENCES_VIEW_H__ */
